# runtime-tmpdisk-server [![Build Status](https://travis-ci.org/facekapow/runtime-tmpdisk-server.svg?branch=master)](https://travis-ci.org/facekapow/runtime-tmpdisk-server)

A temporary alternative to disk access for runtime.js. This is the server component that runs on the host.
Note: While this was meant for runtime.js, it can also be used as an fs server. <br>
TODO: Stream encryption.

## Install:
```bash
# Add `sudo` if needed:
npm install -g runtime-tmpdisk-server
```

## Usage:
```bash
tmpdisk [-l /limit/to/this/dir] [-p portnum]
# To run in the background:
tmpdisk [-l /limit/to/this/dir] [-p portnum] &
```
The default port is 8088 (port 8089 must be free for the tests).

### Options:
  * [-l /limit/to/this/dir] - Limit access to a certain directory (including it's subdirectories). By default, access is limited to the users' home directory.
